
QGIS Application - Bug report #15251

'Check geometries' plugin fails to fix overlap

2016-07-09 01:30 PM - R. R.

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: C++ plugins/Geometry Checker

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23187

Description

The 'Check geometries' plugin fails to fix the overlap in the attached shape file.

History

#1 - 2016-07-09 01:33 PM - R. R.

- File 15251.mp4 added

- File 15251.zip added

#2 - 2016-07-09 02:59 PM - R. R.

- File 15251_2.mp4 added

- File 15251_2.zip added

#3 - 2016-07-10 03:19 AM - R. R.

- File 12251_3.mp4 added

- File 12251_3.zip added

#4 - 2016-07-14 11:00 AM - Sandro Mani

- Status changed from Open to Closed

15251.zip: fixed in commit:a8c35a9

15251_2.zip: you'll need to reduce the global tolerance value (works with 1E-10)

15251_3.zip: reducing the global tolerance value makes the checker correctly detect the errors, but fixing them results in even more tiny errors. These are

precision limits of the underlying geometry library, nothing I can do on the geometry-checker side I'm afraid.

Files

15251.zip 2.05 KB 2016-07-09 R. R.

15251.mp4 3.28 MB 2016-07-09 R. R.

15251_2.zip 1.99 KB 2016-07-09 R. R.

15251_2.mp4 1.77 MB 2016-07-09 R. R.

12251_3.zip 2.27 KB 2016-07-10 R. R.

12251_3.mp4 3.01 MB 2016-07-10 R. R.
